Installing CA Tools r20 gives SQL -206 errors during BIND process

Document ID : KB000106959
Last Modified Date : 30/07/2018
Show Technical Document Details
Issue:
During installation of CA TOOLS V20 we got an BIND ERROR SQLCODE -206.
JOB ####0002 in the installation process.
This is a sample of the errors: BIND PACKAGE ( LAPBR200_RPTS ) APPLCOMPAT ( V11R1 ) VALIDATE ( RUN ( I ) RELEASE ( COMMIT ) EXPLAIN ( N ( EBCDIC ) CURRENTDATA ( NO ) OWNER(DBSYS DSNX105I -TD05 BIND SQL WARNING USING DBSYSADM AUTHORITY PLAN=(NOT APPLICABLE) DBRM=LAA§TS01 STATEMENT=2243 SQLCODE=-206 SQLSTATE=42703 TOKENS=PAGENUM DSNX105I -TD05 BIND SQL WARNING USING DBSYSADM AUTHORITY PLAN=(NOT APPLICABLE) DBRM=LAA§TS01 STATEMENT=2260 SQLCODE=-206 SQLSTATE=42703 TOKENS=PAGENUM
We suspect the following tables are addressed incorrectly:
PTPLA_DOT_SYSCOLUMNS_0101 <------new PTPLA_DOT_SYSCOLUMNS_0100 <------old PTPLA_DOT_SYSTABLES_0100 <------old PTPLA_DOT_SYSTABLES_0101 <------new
Can you please advise 
Environment:
z/os DB2
Cause:
Bind Errors
Resolution:
With DB2 V12 a new type of tablespace (PBR2) was introduced and there is new column PAGENUM in SYSIBM.SYSTABLESPACE that references the PBR2.
PLA has SQLs querying the SYSIBM.SYSTABLESPACE and we added support for DB2 V12.
PLA Code decides which SQL to use based on the version of DB2 subsystem that PLA is running on so thats fine.
But BIND cannot do so. So it is trying to bind even DB2 V12 SQLs on your DB2 V11 subsystem.
Thus the -206 errors.